# WaitlistDestinationUpdate

> Update a waitlist sync destination. Write access, waitlists toolset, MCP tool update_waitlist_destination. Part of the MISSIN public API: call it with an API…

**Access:** [Write](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `input` | `WaitlistDestinationUpdateInput!` | yes | Input object, below |  |

## Input types

### WaitlistDestinationUpdateInput

| Field | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `id` | `UUID!` | yes |  |  |
| `marketingPermissionId` | `String` | no | 1 to 64 characters |  |
| `status` | `WaitlistDestinationStatus` | no | One of `ACTIVE`, `DISCONNECTED`, `NEEDS_ATTENTION`, `PAUSED` | ACTIVE or PAUSED; NEEDS_ATTENTION and DISCONNECTED are set by the system. |
| `trigger` | `WaitlistDestinationTrigger` | no | One of `ON_CONFIRM`, `ON_RELEASE` |  |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"WaitlistDestinationUpdate","variables":{"input":{"id":"00000000-0000-0000-0000-000000000000"}},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"0599aec4522dc308607c090acf49d457a5610030ddaba4f26dc5de2f231f76e6"}}}'
```

## Document

```graphql
mutation WaitlistDestinationUpdate($input: WaitlistDestinationUpdateInput!) { __typename waitlistDestinationUpdate(input: $input) { __typename destination { __typename id } userErrors { __typename code field message } } }
```

Source: https://developer.missin.co.uk/reference/waitlists/waitlist-destination-update
